<?php
/**
 * KpiApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\LogisticClient;

use \Ensi\LogisticClient\Configuration;
use \Ensi\LogisticClient\ApiException;
use \Ensi\LogisticClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * KpiApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class KpiApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createDeliveryKpiCt
     *
     * Создание объекта типа DeliveryKpiCt.
     *
     */
    public function testCreateDeliveryKpiCt()
    {
    }

    /**
     * Test case for createDeliveryKpiPpt
     *
     * Создание объекта типа DeliveryKpiPpt.
     *
     */
    public function testCreateDeliveryKpiPpt()
    {
    }

    /**
     * Test case for deleteDeliveryKpiCt
     *
     * Удаление объекта типа DeliveryKpiCt.
     *
     */
    public function testDeleteDeliveryKpiCt()
    {
    }

    /**
     * Test case for deleteDeliveryKpiPpt
     *
     * Удаление объекта типа DeliveryKpiPpt.
     *
     */
    public function testDeleteDeliveryKpiPpt()
    {
    }

    /**
     * Test case for getDeliveryKpi
     *
     * Получение объекта типа DeliveryKpi.
     *
     */
    public function testGetDeliveryKpi()
    {
    }

    /**
     * Test case for getDeliveryKpiCt
     *
     * Получение объекта типа DeliveryKpiCt.
     *
     */
    public function testGetDeliveryKpiCt()
    {
    }

    /**
     * Test case for getDeliveryKpiPpt
     *
     * Получение объекта типа DeliveryKpiPpt.
     *
     */
    public function testGetDeliveryKpiPpt()
    {
    }

    /**
     * Test case for patchDeliveryKpi
     *
     * Обновления части полей объекта типа DeliveryKpi.
     *
     */
    public function testPatchDeliveryKpi()
    {
    }

    /**
     * Test case for patchDeliveryKpiCt
     *
     * Замена объекта типа DeliveryKpiCt.
     *
     */
    public function testPatchDeliveryKpiCt()
    {
    }

    /**
     * Test case for patchDeliveryKpiPpt
     *
     * Замена объекта типа DeliveryKpiPpt.
     *
     */
    public function testPatchDeliveryKpiPpt()
    {
    }

    /**
     * Test case for searchDeliveryKpiCts
     *
     * Поиск объектов типа DeliveryKpiCt.
     *
     */
    public function testSearchDeliveryKpiCts()
    {
    }

    /**
     * Test case for searchDeliveryKpiPpts
     *
     * Поиск объектов типа DeliveryKpiPpt.
     *
     */
    public function testSearchDeliveryKpiPpts()
    {
    }

    /**
     * Test case for searchOneDeliveryKpiCt
     *
     * Поиск объекта типа DeliveryKpiCt.
     *
     */
    public function testSearchOneDeliveryKpiCt()
    {
    }

    /**
     * Test case for searchOneDeliveryKpiPpt
     *
     * Поиск объекта типа DeliveryKpiPpt.
     *
     */
    public function testSearchOneDeliveryKpiPpt()
    {
    }
}
